﻿using System.ComponentModel.DataAnnotations.Schema;

namespace ProRestaurant.Models.Restaurants
{
    public class RestaurantRolePremission : BaseObject
    {
        [ForeignKey("Role")]
        public int RoleId { get; set; }
        public string Target { get; set; }
        public bool Navigate { get; set; }
        public bool Create { get; set; }
        public bool Read { get; set; }
        public bool Write { get; set; }
        public bool Delete { get; set; }

        public virtual RestaurantRole Role { get; set; }
    }
}
