﻿using ProRestaurant.Models.Accounts;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace ProRestaurant.Models.Restaurants
{
    public class RestaurantRole : BaseObject
    {        
        [ForeignKey("Restaurant")]
        public int RestaurantId { get; set; }
        public string RoleName { get; set; }

        public List<RestaurantRolePremission> Permissions { get; set; }

        public virtual Restaurant Restaurant { get; set; }        

        [NotMapped]
        public List<User> Users { get; set; }
    }
}
