﻿using ProRestaurant.Models.Accounts;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace ProRestaurant.Models.Restaurants
{
    public class RestaurantUser : BaseObject
    {
        [ForeignKey("User")]
        public int UserId { get; set; }
        [ForeignKey("Restaurant")]
        public int RestaurantId { get; set; }

        public virtual User User { get; set; }
        public virtual Restaurant Restaurant { get; set; } 
        
        [NotMapped]
        public List<RestaurantRole> Roles { get; set; }
    }    

    public class RestaurantUserRestaurantRole : BaseObject
    {
        public int? UserId { get; set; }
        public int? RestaurantRoleId { get; set; }        
    }
}
